package asm.accessors;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.util.math.Vec3d;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Mutable;
import org.spongepowered.asm.mixin.gen.Accessor;

@Environment(EnvType.CLIENT)
@Mixin({Vec3d.class})
public interface IVec3d {
   @Mutable
   @Accessor("x")
   void setX(double d);

   @Mutable
   @Accessor("y")
   void setY(double d);

   @Mutable
   @Accessor("z")
   void setZ(double d);
}
